net.dontdrinkandroot.wicket.bootstrap.css

## Enum FontAwesomeIconClass

- java.lang.Object
- - java.lang.Enum<FontAwesomeIconClass>
  - - net.dontdrinkandroot.wicket.bootstrap.css.FontAwesomeIconClass

All Implemented Interfaces:
  Serializable, Comparable<FontAwesomeIconClass>, net.dontdrinkandroot.wicket.css.CssClass

    public enum FontAwesomeIconClass
    extends Enum<FontAwesomeIconClass>
    implements net.dontdrinkandroot.wicket.css.CssClass

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADJUST`
`ADN`
`ALIGN`
`ALIGN_CENTER`
`ALIGN_JUSTIFY`
`ALIGN_LEFT`
`ALIGN_RIGHT`
`AMBULANCE`
`ANCHOR`
`ANDROID`
`ANGLE`
`ANGLE_DOUBLE`
`ANGLE_DOUBLE_DOWN`
`ANGLE_DOUBLE_LEFT`
`ANGLE_DOUBLE_RIGHT`
`ANGLE_DOUBLE_UP`
`ANGLE_DOWN`
`ANGLE_LEFT`
`ANGLE_RIGHT`
`ANGLE_UP`
`APPLE`
`ARCHIVE`
`ARROW`
`ARROW_CIRCLE`
`ARROW_CIRCLE_DOWN`
`ARROW_CIRCLE_LEFT`
`ARROW_CIRCLE_O_DOWN`
`ARROW_CIRCLE_O_LEFT`
`ARROW_CIRCLE_O_RIGHT`
`ARROW_CIRCLE_O_UP`
`ARROW_CIRCLE_RIGHT`
`ARROW_CIRCLE_UP`
`ARROW_DOWN`
`ARROW_LEFT`
`ARROW_RIGHT`
`ARROW_UP`
`ARROWS`
`ARROWS_ALT`
`ARROWS_H`
`ARROWS_V`
`ASTERISK`
`BACKWARD`
`BAN`
`BAR_CHART`
`BAR_CHART_O`
`BARCODE`
`BARS`
`BEER`
`BELL`
`BELL_O`
`BITBUCKET`
`BITBUCKET_SQUARE`
`BOLD`
`BOLT`
`BOOK`
`BOOKMARK`
`BOOKMARK_O`
`BRIEFCASE`
`BTC`
`BUG`
`BUILDING`
`BUILDING_O`
`BULLHORN`
`BULLSEYE`
`CALENDAR`
`CALENDAR_O`
`CAMERA`
`CAMERA_RETRO`
`CARET`
`CARET_DOWN`
`CARET_LEFT`
`CARET_RIGHT`
`CARET_SQUARE_O_DOWN`
`CARET_SQUARE_O_LEFT`
`CARET_SQUARE_O_RIGHT`
`CARET_SQUARE_O_UP`
`CARET_UP`
`CERTIFICATE`
`CHAIN_BROKEN`
`CHECK`
`CHECK_CIRCLE`
`CHECK_CIRCLE_O`
`CHECK_SQUARE`
`CHECK_SQUARE_O`
`CHEVRON`
`CHEVRON_CIRCLE_DOWN`
`CHEVRON_CIRCLE_LEFT`
`CHEVRON_CIRCLE_RIGHT`
`CHEVRON_CIRCLE_UP`
`CHEVRON_DOWN`
`CHEVRON_LEFT`
`CHEVRON_RIGHT`
`CHEVRON_UP`
`CIRCLE`
`CIRCLE_O`
`CLIPBOARD`
`CLOCK_O`
`CLOUD`
`CLOUD_DOWNLOAD`
`CLOUD_UPLOAD`
`CODE`
`CODE_FORK`
`COFFEE`
`COG`
`COGS`
`COLUMNS`
`COMMENT`
`COMMENT_O`
`COMMENTS`
`COMMENTS_O`
`COMPASS`
`COMPRESS`
`CREDIT_CARD`
`CROP`
`CROSSHAIRS`
`CSS3`
`CUTLERY`
`DESKTOP`
`DOT`
`DOT_CIRCLE_O`
`DOWNLOAD`
`DRIBBBLE`
`DROPBOX`
`EJECT`
`ELLIPSIS`
`ELLIPSIS_H`
`ELLIPSIS_V`
`ENVELOPE`
`ENVELOPE_O`
`ERASER`
`EUR`
`EXCHANGE`
`EXCLAMATION`
`EXCLAMATION_CIRCLE`
`EXCLAMATION_TRIANGLE`
`EXPAND`
`EXTERNAL_LINK`
`EXTERNAL_LINK_SQUARE`
`EYE`
`EYE_SLASH`
`FACEBOOK`
`FACEBOOK_SQUARE`
`FAST_BACKWARD`
`FAST_FORWARD`
`FEMALE`
`FIGHTER_JET`
`FILE`
`FILE_O`
`FILE_TEXT`
`FILE_TEXT_O`
`FILES`
`FILES_O`
`FILM`
`FILTER`
`FIRE`
`FIRE_EXTINGUISHER`
`FLAG`
`FLAG_CHECKERED`
`FLAG_O`
`FLASK`
`FLICKR`
`FLOPPY_O`
`FOLDER`
`FOLDER_O`
`FOLDER_OPEN`
`FOLDER_OPEN_O`
`FONT`
`FORWARD`
`FOURSQUARE`
`FROWN_O`
`GAMEPAD`
`GAVEL`
`GBP`
`GIFT`
`GITHUB`
`GITHUB_ALT`
`GITHUB_SQUARE`
`GITTIP`
`GLASS`
`GLOBE`
`GOOGLE_PLUS`
`GOOGLE_PLUS_SQUARE`
`H_SQUARE`
`HAND`
`HAND_O_DOWN`
`HAND_O_LEFT`
`HAND_O_RIGHT`
`HAND_O_UP`
`HDD_O`
`HEADPHONES`
`HEART`
`HEART_O`
`HOME`
`HOSPITAL`
`HOSPITAL_O`
`HTML5`
`INBOX`
`INDENT`
`INFO`
`INFO_CIRCLE`
`INR`
`INSTAGRAM`
`ITALIC`
`JPY`
`KEY`
`KEYBOARD_O`
`KRW`
`LAPTOP`
`LEAF`
`LEMON_O`
`LEVEL`
`LEVEL_DOWN`
`LEVEL_UP`
`LIGHTBULB_O`
`LINK`
`LINKEDIN`
`LINKEDIN_SQUARE`
`LINUX`
`LIST`
`LIST_ALT`
`LIST_OL`
`LIST_UL`
`LOCATION_ARROW`
`LOCK`
`LONG_ARROW`
`LONG_ARROW_DOWN`
`LONG_ARROW_LEFT`
`LONG_ARROW_RIGHT`
`LONG_ARROW_UP`
`MAGIC`
`MAGNET`
`MAIL_REPLY_ALL`
`MALE`
`MAP_MARKER`
`MAXCDN`
`MEDKIT`
`MEH_O`
`MICROPHONE`
`MICROPHONE_SLASH`
`MINUS`
`MINUS_CIRCLE`
`MINUS_SQUARE`
`MINUS_SQUARE_O`
`MOBILE`
`MONEY`
`MOON_O`
`MUSIC`
`OUTDENT`
`PAGELINES`
`PAPERCLIP`
`PAUSE`
`PENCIL`
`PENCIL_SQUARE`
`PENCIL_SQUARE_O`
`PHONE`
`PHONE_SQUARE`
`PICTURE_O`
`PINTEREST`
`PINTEREST_SQUARE`
`PLANE`
`PLAY`
`PLAY_CIRCLE`
`PLAY_CIRCLE_O`
`PLUS`
`PLUS_CIRCLE`
`PLUS_SQUARE`
`PLUS_SQUARE_O`
`POWER_OFF`
`PRINT`
`PUZZLE_PIECE`
`QRCODE`
`QUESTION`
`QUESTION_CIRCLE`
`QUOTE`
`QUOTE_LEFT`
`QUOTE_RIGHT`
`RANDOM`
`REFRESH`
`RENREN`
`REPEAT`
`REPLY`
`REPLY_ALL`
`RETWEET`
`ROAD`
`ROCKET`
`RSS`
`RSS_SQUARE`
`RUB`
`SCISSORS`
`SEARCH`
`SEARCH_MINUS`
`SEARCH_PLUS`
`SHARE`
`SHARE_SQUARE`
`SHARE_SQUARE_O`
`SHIELD`
`SHOPPING_CART`
`SIGN_IN`
`SIGN_OUT`
`SIGNAL`
`SITEMAP`
`SKYPE`
`SMILE_O`
`SORT`
`SORT_ALPHA_ASC`
`SORT_ALPHA_DESC`
`SORT_AMOUNT_ASC`
`SORT_AMOUNT_DESC`
`SORT_ASC`
`SORT_DESC`
`SORT_NUMERIC_ASC`
`SORT_NUMERIC_DESC`
`SPINNER`
`SQUARE`
`SQUARE_O`
`STACK_EXCHANGE`
`STACK_OVERFLOW`
`STAR`
`STAR_HALF`
`STAR_HALF_O`
`STAR_O`
`STEP_BACKWARD`
`STEP_FORWARD`
`STETHOSCOPE`
`STOP`
`STRIKETHROUGH`
`SUBSCRIPT`
`SUITCASE`
`SUN_O`
`SUPERSCRIPT`
`TABLE`
`TABLET`
`TACHOMETER`
`TAG`
`TAGS`
`TASKS`
`TERMINAL`
`TEXT_HEIGHT`
`TEXT_WIDTH`
`TH`
`TH_LARGE`
`TH_LIST`
`THUMB_TACK`
`THUMBS_DOWN`
`THUMBS_O_DOWN`
`THUMBS_O_UP`
`THUMBS_UP`
`TICKET`
`TIMES`
`TIMES_CIRCLE`
`TIMES_CIRCLE_O`
`TINT`
`TRASH`
`TRASH_O`
`TRELLO`
`TROPHY`
`TRUCK`
`TRY`
`TUMBLR`
`TUMBLR_SQUARE`
`TWITTER`
`TWITTER_SQUARE`
`UMBRELLA`
`UNDERLINE`
`UNDO`
`UNLOCK`
`UNLOCK_ALT`
`UPLOAD`
`USD`
`USER`
`USER_MD`
`USERS`
`VIDEO_CAMERA`
`VIMEO_SQUARE`
`VK`
`VOLUME`
`VOLUME_DOWN`
`VOLUME_OFF`
`VOLUME_UP`
`WEIBO`
`WHEELCHAIR`
`WINDOWS`
`WRENCH`
`XING`
`XING_SQUARE`
`YOUTUBE`
`YOUTUBE_PLAY`
`YOUTUBE_SQUARE`

### Method Summary

Methods
`String` `getClassString()`
`static FontAwesomeIconClass` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FontAwesomeIconClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADJUST

    public static final FontAwesomeIconClass ADJUST

#### ADN

    public static final FontAwesomeIconClass ADN

#### ALIGN

    public static final FontAwesomeIconClass ALIGN

#### ALIGN_CENTER

    public static final FontAwesomeIconClass ALIGN_CENTER

#### ALIGN_JUSTIFY

    public static final FontAwesomeIconClass ALIGN_JUSTIFY

#### ALIGN_LEFT

    public static final FontAwesomeIconClass ALIGN_LEFT

#### ALIGN_RIGHT

    public static final FontAwesomeIconClass ALIGN_RIGHT

#### AMBULANCE

    public static final FontAwesomeIconClass AMBULANCE

#### ANCHOR

    public static final FontAwesomeIconClass ANCHOR

#### ANDROID

    public static final FontAwesomeIconClass ANDROID

#### ANGLE

    public static final FontAwesomeIconClass ANGLE

#### ANGLE_DOUBLE

    public static final FontAwesomeIconClass ANGLE_DOUBLE

#### ANGLE_DOUBLE_DOWN

    public static final FontAwesomeIconClass ANGLE_DOUBLE_DOWN

#### ANGLE_DOUBLE_LEFT

    public static final FontAwesomeIconClass ANGLE_DOUBLE_LEFT

#### ANGLE_DOUBLE_RIGHT

    public static final FontAwesomeIconClass ANGLE_DOUBLE_RIGHT

#### ANGLE_DOUBLE_UP

    public static final FontAwesomeIconClass ANGLE_DOUBLE_UP

#### ANGLE_DOWN

    public static final FontAwesomeIconClass ANGLE_DOWN

#### ANGLE_LEFT

    public static final FontAwesomeIconClass ANGLE_LEFT

#### ANGLE_RIGHT

    public static final FontAwesomeIconClass ANGLE_RIGHT

#### ANGLE_UP

    public static final FontAwesomeIconClass ANGLE_UP

#### APPLE

    public static final FontAwesomeIconClass APPLE

#### ARCHIVE

    public static final FontAwesomeIconClass ARCHIVE

#### ARROW

    public static final FontAwesomeIconClass ARROW

#### ARROW_CIRCLE

    public static final FontAwesomeIconClass ARROW_CIRCLE

#### ARROW_CIRCLE_DOWN

    public static final FontAwesomeIconClass ARROW_CIRCLE_DOWN

#### ARROW_CIRCLE_LEFT

    public static final FontAwesomeIconClass ARROW_CIRCLE_LEFT

#### ARROW_CIRCLE_O_DOWN

    public static final FontAwesomeIconClass ARROW_CIRCLE_O_DOWN

#### ARROW_CIRCLE_O_LEFT

    public static final FontAwesomeIconClass ARROW_CIRCLE_O_LEFT

#### ARROW_CIRCLE_O_RIGHT

    public static final FontAwesomeIconClass ARROW_CIRCLE_O_RIGHT

#### ARROW_CIRCLE_O_UP

    public static final FontAwesomeIconClass ARROW_CIRCLE_O_UP

#### ARROW_CIRCLE_RIGHT

    public static final FontAwesomeIconClass ARROW_CIRCLE_RIGHT

#### ARROW_CIRCLE_UP

    public static final FontAwesomeIconClass ARROW_CIRCLE_UP

#### ARROW_DOWN

    public static final FontAwesomeIconClass ARROW_DOWN

#### ARROW_LEFT

    public static final FontAwesomeIconClass ARROW_LEFT

#### ARROW_RIGHT

    public static final FontAwesomeIconClass ARROW_RIGHT

#### ARROW_UP

    public static final FontAwesomeIconClass ARROW_UP

#### ARROWS

    public static final FontAwesomeIconClass ARROWS

#### ARROWS_ALT

    public static final FontAwesomeIconClass ARROWS_ALT

#### ARROWS_H

    public static final FontAwesomeIconClass ARROWS_H

#### ARROWS_V

    public static final FontAwesomeIconClass ARROWS_V

#### ASTERISK

    public static final FontAwesomeIconClass ASTERISK

#### BACKWARD

    public static final FontAwesomeIconClass BACKWARD

#### BAN

    public static final FontAwesomeIconClass BAN

#### BAR_CHART

    public static final FontAwesomeIconClass BAR_CHART

#### BAR_CHART_O

    public static final FontAwesomeIconClass BAR_CHART_O

#### BARCODE

    public static final FontAwesomeIconClass BARCODE

#### BARS

    public static final FontAwesomeIconClass BARS

#### BEER

    public static final FontAwesomeIconClass BEER

#### BELL

    public static final FontAwesomeIconClass BELL

#### BELL_O

    public static final FontAwesomeIconClass BELL_O

#### BITBUCKET

    public static final FontAwesomeIconClass BITBUCKET

#### BITBUCKET_SQUARE

    public static final FontAwesomeIconClass BITBUCKET_SQUARE

#### BOLD

    public static final FontAwesomeIconClass BOLD

#### BOLT

    public static final FontAwesomeIconClass BOLT

#### BOOK

    public static final FontAwesomeIconClass BOOK

#### BOOKMARK

    public static final FontAwesomeIconClass BOOKMARK

#### BOOKMARK_O

    public static final FontAwesomeIconClass BOOKMARK_O

#### BRIEFCASE

    public static final FontAwesomeIconClass BRIEFCASE

#### BTC

    public static final FontAwesomeIconClass BTC

#### BUG

    public static final FontAwesomeIconClass BUG

#### BUILDING

    public static final FontAwesomeIconClass BUILDING

#### BUILDING_O

    public static final FontAwesomeIconClass BUILDING_O

#### BULLHORN

    public static final FontAwesomeIconClass BULLHORN

#### BULLSEYE

    public static final FontAwesomeIconClass BULLSEYE

#### CALENDAR

    public static final FontAwesomeIconClass CALENDAR

#### CALENDAR_O

    public static final FontAwesomeIconClass CALENDAR_O

#### CAMERA

    public static final FontAwesomeIconClass CAMERA

#### CAMERA_RETRO

    public static final FontAwesomeIconClass CAMERA_RETRO

#### CARET

    public static final FontAwesomeIconClass CARET

#### CARET_DOWN

    public static final FontAwesomeIconClass CARET_DOWN

#### CARET_LEFT

    public static final FontAwesomeIconClass CARET_LEFT

#### CARET_RIGHT

    public static final FontAwesomeIconClass CARET_RIGHT

#### CARET_SQUARE_O_DOWN

    public static final FontAwesomeIconClass CARET_SQUARE_O_DOWN

#### CARET_SQUARE_O_LEFT

    public static final FontAwesomeIconClass CARET_SQUARE_O_LEFT

#### CARET_SQUARE_O_RIGHT

    public static final FontAwesomeIconClass CARET_SQUARE_O_RIGHT

#### CARET_SQUARE_O_UP

    public static final FontAwesomeIconClass CARET_SQUARE_O_UP

#### CARET_UP

    public static final FontAwesomeIconClass CARET_UP

#### CERTIFICATE

    public static final FontAwesomeIconClass CERTIFICATE

#### CHAIN_BROKEN

    public static final FontAwesomeIconClass CHAIN_BROKEN

#### CHECK

    public static final FontAwesomeIconClass CHECK

#### CHECK_CIRCLE

    public static final FontAwesomeIconClass CHECK_CIRCLE

#### CHECK_CIRCLE_O

    public static final FontAwesomeIconClass CHECK_CIRCLE_O

#### CHECK_SQUARE

    public static final FontAwesomeIconClass CHECK_SQUARE

#### CHECK_SQUARE_O

    public static final FontAwesomeIconClass CHECK_SQUARE_O

#### CHEVRON

    public static final FontAwesomeIconClass CHEVRON

#### CHEVRON_CIRCLE_DOWN

    public static final FontAwesomeIconClass CHEVRON_CIRCLE_DOWN

#### CHEVRON_CIRCLE_LEFT

    public static final FontAwesomeIconClass CHEVRON_CIRCLE_LEFT

#### CHEVRON_CIRCLE_RIGHT

    public static final FontAwesomeIconClass CHEVRON_CIRCLE_RIGHT

#### CHEVRON_CIRCLE_UP

    public static final FontAwesomeIconClass CHEVRON_CIRCLE_UP

#### CHEVRON_DOWN

    public static final FontAwesomeIconClass CHEVRON_DOWN

#### CHEVRON_LEFT

    public static final FontAwesomeIconClass CHEVRON_LEFT

#### CHEVRON_RIGHT

    public static final FontAwesomeIconClass CHEVRON_RIGHT

#### CHEVRON_UP

    public static final FontAwesomeIconClass CHEVRON_UP

#### CIRCLE

    public static final FontAwesomeIconClass CIRCLE

#### CIRCLE_O

    public static final FontAwesomeIconClass CIRCLE_O

#### CLIPBOARD

    public static final FontAwesomeIconClass CLIPBOARD

#### CLOCK_O

    public static final FontAwesomeIconClass CLOCK_O

#### CLOUD

    public static final FontAwesomeIconClass CLOUD

#### CLOUD_DOWNLOAD

    public static final FontAwesomeIconClass CLOUD_DOWNLOAD

#### CLOUD_UPLOAD

    public static final FontAwesomeIconClass CLOUD_UPLOAD

#### CODE

    public static final FontAwesomeIconClass CODE

#### CODE_FORK

    public static final FontAwesomeIconClass CODE_FORK

#### COFFEE

    public static final FontAwesomeIconClass COFFEE

#### COG

    public static final FontAwesomeIconClass COG

#### COGS

    public static final FontAwesomeIconClass COGS

#### COLUMNS

    public static final FontAwesomeIconClass COLUMNS

#### COMMENT

    public static final FontAwesomeIconClass COMMENT

#### COMMENT_O

    public static final FontAwesomeIconClass COMMENT_O

#### COMMENTS

    public static final FontAwesomeIconClass COMMENTS

#### COMMENTS_O

    public static final FontAwesomeIconClass COMMENTS_O

#### COMPASS

    public static final FontAwesomeIconClass COMPASS

#### COMPRESS

    public static final FontAwesomeIconClass COMPRESS

#### CREDIT_CARD

    public static final FontAwesomeIconClass CREDIT_CARD

#### CROP

    public static final FontAwesomeIconClass CROP

#### CROSSHAIRS

    public static final FontAwesomeIconClass CROSSHAIRS

#### CSS3

    public static final FontAwesomeIconClass CSS3

#### CUTLERY

    public static final FontAwesomeIconClass CUTLERY

#### DESKTOP

    public static final FontAwesomeIconClass DESKTOP

#### DOT

    public static final FontAwesomeIconClass DOT

#### DOT_CIRCLE_O

    public static final FontAwesomeIconClass DOT_CIRCLE_O

#### DOWNLOAD

    public static final FontAwesomeIconClass DOWNLOAD

#### DRIBBBLE

    public static final FontAwesomeIconClass DRIBBBLE

#### DROPBOX

    public static final FontAwesomeIconClass DROPBOX

#### EJECT

    public static final FontAwesomeIconClass EJECT

#### ELLIPSIS

    public static final FontAwesomeIconClass ELLIPSIS

#### ELLIPSIS_H

    public static final FontAwesomeIconClass ELLIPSIS_H

#### ELLIPSIS_V

    public static final FontAwesomeIconClass ELLIPSIS_V

#### ENVELOPE

    public static final FontAwesomeIconClass ENVELOPE

#### ENVELOPE_O

    public static final FontAwesomeIconClass ENVELOPE_O

#### ERASER

    public static final FontAwesomeIconClass ERASER

#### EUR

    public static final FontAwesomeIconClass EUR

#### EXCHANGE

    public static final FontAwesomeIconClass EXCHANGE

#### EXCLAMATION

    public static final FontAwesomeIconClass EXCLAMATION

#### EXCLAMATION_CIRCLE

    public static final FontAwesomeIconClass EXCLAMATION_CIRCLE

#### EXCLAMATION_TRIANGLE

    public static final FontAwesomeIconClass EXCLAMATION_TRIANGLE

#### EXPAND

    public static final FontAwesomeIconClass EXPAND

#### EXTERNAL_LINK

    public static final FontAwesomeIconClass EXTERNAL_LINK

#### EXTERNAL_LINK_SQUARE

    public static final FontAwesomeIconClass EXTERNAL_LINK_SQUARE

#### EYE

    public static final FontAwesomeIconClass EYE

#### EYE_SLASH

    public static final FontAwesomeIconClass EYE_SLASH

#### FACEBOOK

    public static final FontAwesomeIconClass FACEBOOK

#### FACEBOOK_SQUARE

    public static final FontAwesomeIconClass FACEBOOK_SQUARE

#### FAST_BACKWARD

    public static final FontAwesomeIconClass FAST_BACKWARD

#### FAST_FORWARD

    public static final FontAwesomeIconClass FAST_FORWARD

#### FEMALE

    public static final FontAwesomeIconClass FEMALE

#### FIGHTER_JET

    public static final FontAwesomeIconClass FIGHTER_JET

#### FILE

    public static final FontAwesomeIconClass FILE

#### FILE_O

    public static final FontAwesomeIconClass FILE_O

#### FILE_TEXT

    public static final FontAwesomeIconClass FILE_TEXT

#### FILE_TEXT_O

    public static final FontAwesomeIconClass FILE_TEXT_O

#### FILES

    public static final FontAwesomeIconClass FILES

#### FILES_O

    public static final FontAwesomeIconClass FILES_O

#### FILM

    public static final FontAwesomeIconClass FILM

#### FILTER

    public static final FontAwesomeIconClass FILTER

#### FIRE

    public static final FontAwesomeIconClass FIRE

#### FIRE_EXTINGUISHER

    public static final FontAwesomeIconClass FIRE_EXTINGUISHER

#### FLAG

    public static final FontAwesomeIconClass FLAG

#### FLAG_CHECKERED

    public static final FontAwesomeIconClass FLAG_CHECKERED

#### FLAG_O

    public static final FontAwesomeIconClass FLAG_O

#### FLASK

    public static final FontAwesomeIconClass FLASK

#### FLICKR

    public static final FontAwesomeIconClass FLICKR

#### FLOPPY_O

    public static final FontAwesomeIconClass FLOPPY_O

#### FOLDER

    public static final FontAwesomeIconClass FOLDER

#### FOLDER_O

    public static final FontAwesomeIconClass FOLDER_O

#### FOLDER_OPEN

    public static final FontAwesomeIconClass FOLDER_OPEN

#### FOLDER_OPEN_O

    public static final FontAwesomeIconClass FOLDER_OPEN_O

#### FONT

    public static final FontAwesomeIconClass FONT

#### FORWARD

    public static final FontAwesomeIconClass FORWARD

#### FOURSQUARE

    public static final FontAwesomeIconClass FOURSQUARE

#### FROWN_O

    public static final FontAwesomeIconClass FROWN_O

#### GAMEPAD

    public static final FontAwesomeIconClass GAMEPAD

#### GAVEL

    public static final FontAwesomeIconClass GAVEL

#### GBP

    public static final FontAwesomeIconClass GBP

#### GIFT

    public static final FontAwesomeIconClass GIFT

#### GITHUB

    public static final FontAwesomeIconClass GITHUB

#### GITHUB_ALT

    public static final FontAwesomeIconClass GITHUB_ALT

#### GITHUB_SQUARE

    public static final FontAwesomeIconClass GITHUB_SQUARE

#### GITTIP

    public static final FontAwesomeIconClass GITTIP

#### GLASS

    public static final FontAwesomeIconClass GLASS

#### GLOBE

    public static final FontAwesomeIconClass GLOBE

#### GOOGLE_PLUS

    public static final FontAwesomeIconClass GOOGLE_PLUS

#### GOOGLE_PLUS_SQUARE

    public static final FontAwesomeIconClass GOOGLE_PLUS_SQUARE

#### H_SQUARE

    public static final FontAwesomeIconClass H_SQUARE

#### HAND

    public static final FontAwesomeIconClass HAND

#### HAND_O_DOWN

    public static final FontAwesomeIconClass HAND_O_DOWN

#### HAND_O_LEFT

    public static final FontAwesomeIconClass HAND_O_LEFT

#### HAND_O_RIGHT

    public static final FontAwesomeIconClass HAND_O_RIGHT

#### HAND_O_UP

    public static final FontAwesomeIconClass HAND_O_UP

#### HDD_O

    public static final FontAwesomeIconClass HDD_O

#### HEADPHONES

    public static final FontAwesomeIconClass HEADPHONES

#### HEART

    public static final FontAwesomeIconClass HEART

#### HEART_O

    public static final FontAwesomeIconClass HEART_O

#### HOME

    public static final FontAwesomeIconClass HOME

#### HOSPITAL

    public static final FontAwesomeIconClass HOSPITAL

#### HOSPITAL_O

    public static final FontAwesomeIconClass HOSPITAL_O

#### HTML5

    public static final FontAwesomeIconClass HTML5

#### INBOX

    public static final FontAwesomeIconClass INBOX

#### INDENT

    public static final FontAwesomeIconClass INDENT

#### INFO

    public static final FontAwesomeIconClass INFO

#### INFO_CIRCLE

    public static final FontAwesomeIconClass INFO_CIRCLE

#### INR

    public static final FontAwesomeIconClass INR

#### INSTAGRAM

    public static final FontAwesomeIconClass INSTAGRAM

#### ITALIC

    public static final FontAwesomeIconClass ITALIC

#### JPY

    public static final FontAwesomeIconClass JPY

#### KEY

    public static final FontAwesomeIconClass KEY

#### KEYBOARD_O

    public static final FontAwesomeIconClass KEYBOARD_O

#### KRW

    public static final FontAwesomeIconClass KRW

#### LAPTOP

    public static final FontAwesomeIconClass LAPTOP

#### LEAF

    public static final FontAwesomeIconClass LEAF

#### LEMON_O

    public static final FontAwesomeIconClass LEMON_O

#### LEVEL

    public static final FontAwesomeIconClass LEVEL

#### LEVEL_DOWN

    public static final FontAwesomeIconClass LEVEL_DOWN

#### LEVEL_UP

    public static final FontAwesomeIconClass LEVEL_UP

#### LIGHTBULB_O

    public static final FontAwesomeIconClass LIGHTBULB_O

#### LINK

    public static final FontAwesomeIconClass LINK

#### LINKEDIN

    public static final FontAwesomeIconClass LINKEDIN

#### LINKEDIN_SQUARE

    public static final FontAwesomeIconClass LINKEDIN_SQUARE

#### LINUX

    public static final FontAwesomeIconClass LINUX

#### LIST

    public static final FontAwesomeIconClass LIST

#### LIST_ALT

    public static final FontAwesomeIconClass LIST_ALT

#### LIST_OL

    public static final FontAwesomeIconClass LIST_OL

#### LIST_UL

    public static final FontAwesomeIconClass LIST_UL

#### LOCATION_ARROW

    public static final FontAwesomeIconClass LOCATION_ARROW

#### LOCK

    public static final FontAwesomeIconClass LOCK

#### LONG_ARROW

    public static final FontAwesomeIconClass LONG_ARROW

#### LONG_ARROW_DOWN

    public static final FontAwesomeIconClass LONG_ARROW_DOWN

#### LONG_ARROW_LEFT

    public static final FontAwesomeIconClass LONG_ARROW_LEFT

#### LONG_ARROW_RIGHT

    public static final FontAwesomeIconClass LONG_ARROW_RIGHT

#### LONG_ARROW_UP

    public static final FontAwesomeIconClass LONG_ARROW_UP

#### MAGIC

    public static final FontAwesomeIconClass MAGIC

#### MAGNET

    public static final FontAwesomeIconClass MAGNET

#### MAIL_REPLY_ALL

    public static final FontAwesomeIconClass MAIL_REPLY_ALL

#### MALE

    public static final FontAwesomeIconClass MALE

#### MAP_MARKER

    public static final FontAwesomeIconClass MAP_MARKER

#### MAXCDN

    public static final FontAwesomeIconClass MAXCDN

#### MEDKIT

    public static final FontAwesomeIconClass MEDKIT

#### MEH_O

    public static final FontAwesomeIconClass MEH_O

#### MICROPHONE

    public static final FontAwesomeIconClass MICROPHONE

#### MICROPHONE_SLASH

    public static final FontAwesomeIconClass MICROPHONE_SLASH

#### MINUS

    public static final FontAwesomeIconClass MINUS

#### MINUS_CIRCLE

    public static final FontAwesomeIconClass MINUS_CIRCLE

#### MINUS_SQUARE

    public static final FontAwesomeIconClass MINUS_SQUARE

#### MINUS_SQUARE_O

    public static final FontAwesomeIconClass MINUS_SQUARE_O

#### MOBILE

    public static final FontAwesomeIconClass MOBILE

#### MONEY

    public static final FontAwesomeIconClass MONEY

#### MOON_O

    public static final FontAwesomeIconClass MOON_O

#### MUSIC

    public static final FontAwesomeIconClass MUSIC

#### OUTDENT

    public static final FontAwesomeIconClass OUTDENT

#### PAGELINES

    public static final FontAwesomeIconClass PAGELINES

#### PAPERCLIP

    public static final FontAwesomeIconClass PAPERCLIP

#### PAUSE

    public static final FontAwesomeIconClass PAUSE

#### PENCIL

    public static final FontAwesomeIconClass PENCIL

#### PENCIL_SQUARE

    public static final FontAwesomeIconClass PENCIL_SQUARE

#### PENCIL_SQUARE_O

    public static final FontAwesomeIconClass PENCIL_SQUARE_O

#### PHONE

    public static final FontAwesomeIconClass PHONE

#### PHONE_SQUARE

    public static final FontAwesomeIconClass PHONE_SQUARE

#### PICTURE_O

    public static final FontAwesomeIconClass PICTURE_O

#### PINTEREST

    public static final FontAwesomeIconClass PINTEREST

#### PINTEREST_SQUARE

    public static final FontAwesomeIconClass PINTEREST_SQUARE

#### PLANE

    public static final FontAwesomeIconClass PLANE

#### PLAY

    public static final FontAwesomeIconClass PLAY

#### PLAY_CIRCLE

    public static final FontAwesomeIconClass PLAY_CIRCLE

#### PLAY_CIRCLE_O

    public static final FontAwesomeIconClass PLAY_CIRCLE_O

#### PLUS

    public static final FontAwesomeIconClass PLUS

#### PLUS_CIRCLE

    public static final FontAwesomeIconClass PLUS_CIRCLE

#### PLUS_SQUARE

    public static final FontAwesomeIconClass PLUS_SQUARE

#### PLUS_SQUARE_O

    public static final FontAwesomeIconClass PLUS_SQUARE_O

#### POWER_OFF

    public static final FontAwesomeIconClass POWER_OFF

#### PRINT

    public static final FontAwesomeIconClass PRINT

#### PUZZLE_PIECE

    public static final FontAwesomeIconClass PUZZLE_PIECE

#### QRCODE

    public static final FontAwesomeIconClass QRCODE

#### QUESTION

    public static final FontAwesomeIconClass QUESTION

#### QUESTION_CIRCLE

    public static final FontAwesomeIconClass QUESTION_CIRCLE

#### QUOTE

    public static final FontAwesomeIconClass QUOTE

#### QUOTE_LEFT

    public static final FontAwesomeIconClass QUOTE_LEFT

#### QUOTE_RIGHT

    public static final FontAwesomeIconClass QUOTE_RIGHT

#### RANDOM

    public static final FontAwesomeIconClass RANDOM

#### REFRESH

    public static final FontAwesomeIconClass REFRESH

#### RENREN

    public static final FontAwesomeIconClass RENREN

#### REPEAT

    public static final FontAwesomeIconClass REPEAT

#### REPLY

    public static final FontAwesomeIconClass REPLY

#### REPLY_ALL

    public static final FontAwesomeIconClass REPLY_ALL

#### RETWEET

    public static final FontAwesomeIconClass RETWEET

#### ROAD

    public static final FontAwesomeIconClass ROAD

#### ROCKET

    public static final FontAwesomeIconClass ROCKET

#### RSS

    public static final FontAwesomeIconClass RSS

#### RSS_SQUARE

    public static final FontAwesomeIconClass RSS_SQUARE

#### RUB

    public static final FontAwesomeIconClass RUB

#### SCISSORS

    public static final FontAwesomeIconClass SCISSORS

#### SEARCH

    public static final FontAwesomeIconClass SEARCH

#### SEARCH_MINUS

    public static final FontAwesomeIconClass SEARCH_MINUS

#### SEARCH_PLUS

    public static final FontAwesomeIconClass SEARCH_PLUS

#### SHARE

    public static final FontAwesomeIconClass SHARE

#### SHARE_SQUARE

    public static final FontAwesomeIconClass SHARE_SQUARE

#### SHARE_SQUARE_O

    public static final FontAwesomeIconClass SHARE_SQUARE_O

#### SHIELD

    public static final FontAwesomeIconClass SHIELD

#### SHOPPING_CART

    public static final FontAwesomeIconClass SHOPPING_CART

#### SIGN_IN

    public static final FontAwesomeIconClass SIGN_IN

#### SIGN_OUT

    public static final FontAwesomeIconClass SIGN_OUT

#### SIGNAL

    public static final FontAwesomeIconClass SIGNAL

#### SITEMAP

    public static final FontAwesomeIconClass SITEMAP

#### SKYPE

    public static final FontAwesomeIconClass SKYPE

#### SMILE_O

    public static final FontAwesomeIconClass SMILE_O

#### SORT

    public static final FontAwesomeIconClass SORT

#### SORT_ALPHA_ASC

    public static final FontAwesomeIconClass SORT_ALPHA_ASC

#### SORT_ALPHA_DESC

    public static final FontAwesomeIconClass SORT_ALPHA_DESC

#### SORT_AMOUNT_ASC

    public static final FontAwesomeIconClass SORT_AMOUNT_ASC

#### SORT_AMOUNT_DESC

    public static final FontAwesomeIconClass SORT_AMOUNT_DESC

#### SORT_ASC

    public static final FontAwesomeIconClass SORT_ASC

#### SORT_DESC

    public static final FontAwesomeIconClass SORT_DESC

#### SORT_NUMERIC_ASC

    public static final FontAwesomeIconClass SORT_NUMERIC_ASC

#### SORT_NUMERIC_DESC

    public static final FontAwesomeIconClass SORT_NUMERIC_DESC

#### SPINNER

    public static final FontAwesomeIconClass SPINNER

#### SQUARE

    public static final FontAwesomeIconClass SQUARE

#### SQUARE_O

    public static final FontAwesomeIconClass SQUARE_O

#### STACK_EXCHANGE

    public static final FontAwesomeIconClass STACK_EXCHANGE

#### STACK_OVERFLOW

    public static final FontAwesomeIconClass STACK_OVERFLOW

#### STAR

    public static final FontAwesomeIconClass STAR

#### STAR_HALF

    public static final FontAwesomeIconClass STAR_HALF

#### STAR_HALF_O

    public static final FontAwesomeIconClass STAR_HALF_O

#### STAR_O

    public static final FontAwesomeIconClass STAR_O

#### STEP_BACKWARD

    public static final FontAwesomeIconClass STEP_BACKWARD

#### STEP_FORWARD

    public static final FontAwesomeIconClass STEP_FORWARD

#### STETHOSCOPE

    public static final FontAwesomeIconClass STETHOSCOPE

#### STOP

    public static final FontAwesomeIconClass STOP

#### STRIKETHROUGH

    public static final FontAwesomeIconClass STRIKETHROUGH

#### SUBSCRIPT

    public static final FontAwesomeIconClass SUBSCRIPT

#### SUITCASE

    public static final FontAwesomeIconClass SUITCASE

#### SUN_O

    public static final FontAwesomeIconClass SUN_O

#### SUPERSCRIPT

    public static final FontAwesomeIconClass SUPERSCRIPT

#### TABLE

    public static final FontAwesomeIconClass TABLE

#### TABLET

    public static final FontAwesomeIconClass TABLET

#### TACHOMETER

    public static final FontAwesomeIconClass TACHOMETER

#### TAG

    public static final FontAwesomeIconClass TAG

#### TAGS

    public static final FontAwesomeIconClass TAGS

#### TASKS

    public static final FontAwesomeIconClass TASKS

#### TERMINAL

    public static final FontAwesomeIconClass TERMINAL

#### TEXT_HEIGHT

    public static final FontAwesomeIconClass TEXT_HEIGHT

#### TEXT_WIDTH

    public static final FontAwesomeIconClass TEXT_WIDTH

#### TH

    public static final FontAwesomeIconClass TH

#### TH_LARGE

    public static final FontAwesomeIconClass TH_LARGE

#### TH_LIST

    public static final FontAwesomeIconClass TH_LIST

#### THUMB_TACK

    public static final FontAwesomeIconClass THUMB_TACK

#### THUMBS_DOWN

    public static final FontAwesomeIconClass THUMBS_DOWN

#### THUMBS_O_DOWN

    public static final FontAwesomeIconClass THUMBS_O_DOWN

#### THUMBS_O_UP

    public static final FontAwesomeIconClass THUMBS_O_UP

#### THUMBS_UP

    public static final FontAwesomeIconClass THUMBS_UP

#### TICKET

    public static final FontAwesomeIconClass TICKET

#### TIMES

    public static final FontAwesomeIconClass TIMES

#### TIMES_CIRCLE

    public static final FontAwesomeIconClass TIMES_CIRCLE

#### TIMES_CIRCLE_O

    public static final FontAwesomeIconClass TIMES_CIRCLE_O

#### TINT

    public static final FontAwesomeIconClass TINT

#### TRASH

    public static final FontAwesomeIconClass TRASH

#### TRASH_O

    public static final FontAwesomeIconClass TRASH_O

#### TRELLO

    public static final FontAwesomeIconClass TRELLO

#### TROPHY

    public static final FontAwesomeIconClass TROPHY

#### TRUCK

    public static final FontAwesomeIconClass TRUCK

#### TRY

    public static final FontAwesomeIconClass TRY

#### TUMBLR

    public static final FontAwesomeIconClass TUMBLR

#### TUMBLR_SQUARE

    public static final FontAwesomeIconClass TUMBLR_SQUARE

#### TWITTER

    public static final FontAwesomeIconClass TWITTER

#### TWITTER_SQUARE

    public static final FontAwesomeIconClass TWITTER_SQUARE

#### UMBRELLA

    public static final FontAwesomeIconClass UMBRELLA

#### UNDERLINE

    public static final FontAwesomeIconClass UNDERLINE

#### UNDO

    public static final FontAwesomeIconClass UNDO

#### UNLOCK

    public static final FontAwesomeIconClass UNLOCK

#### UNLOCK_ALT

    public static final FontAwesomeIconClass UNLOCK_ALT

#### UPLOAD

    public static final FontAwesomeIconClass UPLOAD

#### USD

    public static final FontAwesomeIconClass USD

#### USER

    public static final FontAwesomeIconClass USER

#### USER_MD

    public static final FontAwesomeIconClass USER_MD

#### USERS

    public static final FontAwesomeIconClass USERS

#### VIDEO_CAMERA

    public static final FontAwesomeIconClass VIDEO_CAMERA

#### VIMEO_SQUARE

    public static final FontAwesomeIconClass VIMEO_SQUARE

#### VK

    public static final FontAwesomeIconClass VK

#### VOLUME

    public static final FontAwesomeIconClass VOLUME

#### VOLUME_DOWN

    public static final FontAwesomeIconClass VOLUME_DOWN

#### VOLUME_OFF

    public static final FontAwesomeIconClass VOLUME_OFF

#### VOLUME_UP

    public static final FontAwesomeIconClass VOLUME_UP

#### WEIBO

    public static final FontAwesomeIconClass WEIBO

#### WHEELCHAIR

    public static final FontAwesomeIconClass WHEELCHAIR

#### WINDOWS

    public static final FontAwesomeIconClass WINDOWS

#### WRENCH

    public static final FontAwesomeIconClass WRENCH

#### XING

    public static final FontAwesomeIconClass XING

#### XING_SQUARE

    public static final FontAwesomeIconClass XING_SQUARE

#### YOUTUBE

    public static final FontAwesomeIconClass YOUTUBE

#### YOUTUBE_PLAY

    public static final FontAwesomeIconClass YOUTUBE_PLAY

#### YOUTUBE_SQUARE

    public static final FontAwesomeIconClass YOUTUBE_SQUARE

### Method Detail

#### values

    public static FontAwesomeIconClass[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FontAwesomeIconClass c : FontAwesomeIconClass.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FontAwesomeIconClass valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`